Status doesn't update when promoting the CV to next environment 

04/10/2014 05:26 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1016203 Red Hat JIRA:  

Pull request:    

Description

(In reply to Sachin Ghai from comment #0)

Created attachment 877122 [details]

cv status still shows 'promoting...' though the product is already promoted

Description of problem:

Created a content-view, and published it. After publishing, I promoted it to

next env. The status doesn't update.. issues are:

1. The status column shows a link  "Promoting to 1 environment",  and if I

click that link, the other page 'Promotion History' shows success.

2. if you navigate away from this 'versions' tab of content-view, the status

shows nothing, that block looks empty..

Version-Release number of selected component (if applicable):

snap4

rubygem-katello_api-0.0.8-2.el6sat.noarch

ruby193-rubygem-katello-1.5.0-22.el6sat.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

rubygem-hammer_cli_katello-0.0.3-5.el6sat.noarch

katello-1.5.0-18.el6sat.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.28-1.el6sat.noarch

pulp-katello-plugins-0.2-1.el6sat.noarch

katello-ca-1.0-1.noarch

katello-apache-1.0-1.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

rubygem-hammer_cli_foreman-0.0.18-7.el6sat.noarch

foreman-proxy-1.5.3-1.el6sat.noarch

ruby193-rubygem-foreman-tasks-0.4.0-5.el6sat.noarch

rubygem-foreman_api-0.1.11-3.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-4.el6sat.noarch

foreman-postgresql-1.5.0.9-1.el6sat.noarch

foreman-1.5.0.9-1.el6sat.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

How reproducible:

always

Steps to Reproduce:

1. create product/repo and sync it

2. create a env under library, say 'test'

3. create a CV

4. publish it
5. promote the CV to test env

6. check the status as mentioned in description

Actual results:

status of CV promotion doesn't reflected/updated properly

Expected results:

status should be reflected properly after successful promotion like:

Promoted to 'test' environment instead of 'Promoting to 1 env'

also, if we navigate away from versions tab, still status should be

reflected properly

Additional info:

Associated revisions

Revision 434a5ac0 - 04/11/2014 08:40 AM - Walden Raines

Fixes #5144, BZ1079152: show last status of content view versions.

Revision 6472966e - 04/11/2014 09:53 AM - Walden Raines

Merge pull request #3960 from waldenraines/bug-1079152

Fixes #5144, BZ1079152: show last status of content view versions.

Revision a223581b - 04/11/2014 12:40 PM - Walden Raines

Fixes #5144, BZ1079152: show last status of content view versions.

Revision 6bf9abb9 - 04/11/2014 01:53 PM - Walden Raines

Merge pull request #3960 from waldenraines/bug-1079152

Fixes #5144, BZ1079152: show last status of content view versions.

History

#1 - 04/10/2014 05:27 PM - Walden Raines

https://github.com/Katello/katello/pull/3960

#2 - 04/11/2014 02:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:a223581b0aba1b788d7968bfb1e2557a2d43fb93.

#3 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
